Modify

Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#14304 closed defect (not_a_bug)

Package missing dependencies for included libraries

Reported by: michael.ryan82@… Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version: Trunk
Keywords: Cc:

Description

Receive the following error when trying to compile a custom package:

Package amld is missing dependencies for the following libraries:
libcrypto.so.1.0.0
libssl.so.1.0.0

Makefile is as follows:

include $(TOPDIR)/rules.mk

PKG_NAME:=amld
PKG_RELEASE:=1

TARGET_LDFLAGS+= \
       -Wl,-rpath-link=$(STAGING_DIR)/usr/lib/ssl

include $(INCLUDE_DIR)/package.mk

define Package/amld
SECTION:=utils
DEPENDS:=+libopenssl +libcrypto
CATEGORY:=Utilities
TITLE:=amld
endef

define Build/Prepare
       mkdir -p $(PKG_BUILD_DIR)
       $(CP) ./files/* $(PKG_BUILD_DIR)/
endef

define Build/Compile
       $(MAKE) -C $(PKG_BUILD_DIR) $(TARGET_CONFIGURE_OPTS)
endef

define Package/amld/install
       $(INSTALL_DIR) $(1)/bin
       $(INSTALL_BIN) $(PKG_BUILD_DIR)/amld $(1)/bin/
endef

$(eval $(call BuildPackage,amld))

Attachments (0)

Change History (2)

comment:1 Changed 4 years ago by blogic

  • Resolution set to not_a_bug
  • Status changed from new to closed

please use the forum for support requests

comment:2 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.